### Struct

# GdkFileList

since: 4.6

#### Description [src]

    struct GdkFileList {
      /* No available fields */
    }

An opaque type representing a list of files.

Available since: 4.6

#### Constructors

###### gdk_file_list_new_from_array

Creates a new `GdkFileList` for the given array of files.

since: 4.8

###### gdk_file_list_new_from_list

Creates a new files list container from a singly linked list of `GFile` instances.

since: 4.8

#### Instance methods

###### gdk_file_list_get_files

Retrieves the list of files inside a `GdkFileList`.

since: 4.6